

<md-dialog aria-label="Resource Selection Dialog" flex="70">
    <form ng-cloak>
        <md-toolbar>
            <div class="md-toolbar-tools">
                <h2>Resource Selection Dialog</h2>
                <span flex></span>
                <!--<md-button class="md-icon-button" ng-click="fullscreen=!fullscreen">-->
                    <!--<md-icon md-svg-icon="expand" aria-label="Expand dialog"></md-icon>-->
                <!--</md-button>-->
                <md-button class="md-icon-button" ng-click="cancel()">
                    <md-icon md-svg-icon="close" aria-label="Close dialog"></md-icon>
                </md-button>
            </div>
        </md-toolbar>

        <md-dialog-content flex>
            <div class="md-dialog-content">

                <div>
                    <h1 class="md-title">Select a provider and pick-up resources</h1>
                    <div layout="row">
                        <md-input-container style="margin-right: 10px;">
                            <label>Provider</label>
                            <md-select ng-model="selectedInput">
                                <md-option ng-repeat="input in inputs" value="{{input}}">{{input}}</md-option>
                            </md-select>
                        </md-input-container>
                    </div>
                    <input layout-align="right" ng-model="queryfilter"/>
                    <md-button ng-click="triggerSearch($event)" class="md-raised">Search</md-button>

                    <div layout="row" layout-align="center start">
                        <div layout="row" flex class="layout-max-width">
                            <md-content flex>
                                <md-list layout-fill>
                                    <div layout="row" layout-sm="column" layout-align="space-around">
                                        <md-progress-circular md-mode="indeterminate" ng-show="isLoading"></md-progress-circular>
                                    </div>

                                    <div ng-hide="isLoading">
                                        <md-radio-group ng-model="propertyToDisplay" layout="row">
                                            <md-radio-button value="title" class="md-primary"> Title </md-radio-button>
                                            <md-radio-button value="identifier"> Identifier </md-radio-button>
                                            <md-radio-button value="type"> Type </md-radio-button>
                                        </md-radio-group>
                                    </div>

                                    <md-list-item ng-repeat="entry in queryresult | filter:queryfilter" ng-click="goToPerson(person.name, $event)" class="noright">
                                        <!--<p>{{ entry.title }}</p>-->
                                        <p>{{ entryValueToDisplay(entry) }}</p>
                                        <md-checkbox class="md-secondary" ng-model="entry.selected"></md-checkbox>
                                        <md-icon class="md-secondary" ng-click="getResourceInfo(entry)" aria-label="More info" md-svg-icon="filebox"></md-icon>
                                    </md-list-item>

                                </md-list>
                            </md-content>
                        </div>
                    </div>
                    <!--<p ng-if="selectedInput">You ordered a {{selectedInput}} pizza with {{printSelectedToppings()}}.</p>-->
                </div>

            </div>
        </md-dialog-content>

        <md-dialog-actions layout="row">
            <span flex></span>
            <md-button ng-click="answer($event)">
                Cancel
            </md-button>
            <md-button ng-click="answer($event)">
                Ok
            </md-button>
        </md-dialog-actions>
    </form>
</md-dialog>





